unit AboutDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FileVersion, StdCtrls, ExtCtrls;

type
  TAbout = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    FV: TFileVersion;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Bevel1: TBevel;
    Button1: TButton;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Bevel5: TBevel;
    Bevel6: TBevel;
    Bevel7: TBevel;
    Bevel8: TBevel;
    Label14: TLabel;
    Bevel9: TBevel;
    Bevel10: TBevel;
    Label15: TLabel;
    Label16: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Label4MouseEnter(Sender: TObject);
    procedure Label15MouseLeave(Sender: TObject);
    procedure Label6Click(Sender: TObject);
  private
    { Private declarations }
  public
    Function Execute: Boolean;
  end;

var
  About: TAbout;

implementation

Uses CM2PlugInTypes, CM2MMRB, LPL_Sysutils;

{$R *.dfm}

function TAbout.Execute: Boolean;
begin
 Result := showmodal = mrOk;
end;

procedure TAbout.FormCreate(Sender: TObject);
begin
 Fv.Filename := ParamStr(0);
 Label2.caption := 'Version ' + FV.FileVersion;
 Label7.Caption := 'Core: ' + WordToStr(CoreVersion);
end;

procedure TAbout.Label4MouseEnter(Sender: TObject);
begin
 (Sender as TLabel).Font.Color := clBlue;
 If (Sender as TLabel).Tag = 1 then begin
  (Sender as TLabel).Font.Style := [fsUnderline, fsBold];
 end
  else
 begin
  (Sender as TLabel).Font.Style := [fsUnderline];
 end;
end;

procedure TAbout.Label15MouseLeave(Sender: TObject);
begin
 (Sender as TLabel).Font.Color := clWindowText;
 If (Sender as TLabel).Tag = 1 then begin
  (Sender as TLabel).Font.Style := [fsBold];
 end
  else
 begin
  (Sender as TLabel).Font.Style := [];
 end;
end;

procedure TAbout.Label6Click(Sender: TObject);
begin
 ExecApp((sender as TLabel).Hint);
end;

end.
